Crux: BRE/WFE - Task #17955
Task # 17954 (Closed): Ul for workflow editing

Ul: view schema, rulesets and rules
17/02/2024 06:44 PM - Shuvam Misra

Status: Closed Start date: 17/02/2024
Priority: Normal Due date: 29/02/2024
Assignee: Adarsh Shukla % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 29 Feb

Description

Screens to drill down from app to slice to workflow processes and view the schema, then the workflows (rulesets) associated with
that workflow process, then the individual rules

Associated revisions

Revision b82902ff - 22/02/2024 05:50 PM - Sufiyaan Shaik

refs: redmine #17955 Bug fixed in autodirect tab(rulesets)

Revision 2aadefa0 - 23/02/2024 06:07 PM - Sufiyaan Shaik
refs: redmine #17955 Added: loader functionality

Revision 81bac7ca - 23/02/2024 06:15 PM - Sufiyaan Shaik
refs: redmine #17955 Added: loader functionality

Revision aa5¢c9b6b - 27/02/2024 11:20 AM - Adarsh Shukla

Refs redmine #17955, changes in component naming conventions, removed unused codes.

Revision 1850234 - 27/02/2024 06:17 PM - Sufiyaan Shaik

refs: redmine #17955 Minor changes in workflow details Ul Screen

Revision d934c4e7 - 29/02/2024 06:43 PM - Adarsh Shukla

refs redmine #17955, Fixed: exception handling for nested rules.

Revision 1¢cf3b281 - 29/02/2024 06:56 PM - Sufiyaan Shaik

refs: redmine #17955 Adde page-not-found feature and some changes in Ul Screen

Revision 098ab3f6 - 04/03/2024 12:27 PM - Adarsh Shukla

refs redmine #17955, Fixed: Bugs related to Rtree structure building and refactored code.

History

#1 - 17/02/2024 06:46 PM - Shuvam Misra
- Due date set to 29/02/2024

#2 - 17/02/2024 06:47 PM - Shuvam Misra

- Status changed from New to In Progress

#3 - 17/02/2024 06:47 PM - Shuvam Misra
- Assignee set to Adarsh Shukla

#4 - 19/02/2024 06:54 PM - Sufiyaan Shaik
- % Done changed from 0 to 10

1.Created 3 different components
without thenCall or elseCall
with thenCall or elseCall
match call newruleset
Developed dynamic screen(match - do) according to if-else condition
#5 - 20/02/2024 06:29 PM - Sufiyaan Shaik
- % Done changed from 10 to 20
Added hover functionality in the 1st half
Later added 3 cypress test cases(1 pending)
theme
localization

workflow list and workflow details

| (Sufiyaan) and Adarsh had a discussion with Sachin regarding recursive code the data structure for ruleset
nesting

commited the latest code

#6 - 21/02/2024 06:30 PM - Sufiyaan Shaik
- % Done changed from 20 to 50

(Adarsh)Fixed hover functionality
Committed the latest code

Later, we discussed the approach started building the logic for data structure and mocked the API using mockoon to check the response
Work in progress

#7 - 22/02/2024 06:22 PM - Adarsh Shukla
- % Done changed from 50 to 70

Today me and Sufiyaan integrated rule(workflow) screen with mockoon API's. Done with the datastructure part of the rule nested structure.

#8 - 26/02/2024 03:06 PM - Adarsh Shukla
- % Done changed from 70 to 90

#9 - 27/02/2024 06:29 PM - Sufiyaan Shaik

- % Done changed from 90 to 100

Today I(Sufiyaan) and Adarsh had a meeting with Shuvam in the second half of the day were we discussed the next task #17956 ,
We also discussed about current task, and was told to fix some issues regarding the current screen

All changes done

Now, Issue(Task) is 100% complete and is in Testing phase(once to be reviewed by sachin or shuvam)

#10 - 27/02/2024 06:30 PM - Sufiyaan Shaik

- Status changed from In Progress to Testing
#11 - 01/03/2024 06:38 PM - Adarsh Shukla
Today we had discussed with sachin regarding ruleset datastructure changes, and implemented it in the second half and verified the same with

sachin.

#12 - 01/03/2024 06:40 PM - Adarsh Shukla

- Status changed from Testing to Closed
